use <openscad\fan_cover.scad>

$fn=100;

$vpt = [-28, 12, 70];
$vpr = [80, 0, 190];
$vpd =500;

extruder_head(0,0,0);

module extruder_head(x,y,z)
{
    translate([x,y,z])
    rotate(a=90,v=[0,0,1])
    {
        translate([25,11,45])
        rotate(a=90,v=[0,1,0])
        rotate(a=90,v=[0,0,1])
        fan_cover();
        translate([6.5,1,102-14.5])
        rotate(a=-90,v=[1,0,0])
        rotate(a=-90,v=[0,0,1])
        {   

         
            mirror(1,0,0)
            translate([-24,-2,0])
            rotate(a=90,v=[0,0,1])
            {
                color([0.2,0.2,0.2])
                {
                    translate([-5.2,-7,15])
                    rotate(a=180,v=[0,1,0])
                    import("stl\\printable\\cover.stl");
                    translate([-20,-8,5.5])
                    import("stl\\printable\\lever for direct.stl");
                }
                
                color("lightgray")
                translate([-10,0,8])
                cylinder(r=5,h=4);

                color("lightgray")
                translate([2,0,2])
                cylinder(r=5.5,h=12);
            }
        }
        translate([0,0,90.35])
        color([0.2,0.2,0.2])
        import("stl\\printable\\base with mount.stl");

        
        translate([6.5,1,102-14.5])
        rotate(a=-90,v=[1,0,0])
        rotate(a=-90,v=[0,0,1])
        {   
            color([0.2,0.2,0.2])
            translate([20,0,-6+7])
            scale([1,1,0.9])
            import("stl\\nonprintable\\Nema17.stl");
        }
        
        color([0,0.8,0])
        translate([-33,11,85])
        import("stl\\printable\\mounting_plate.stl");
        translate([0,11,10])
        {
            color([0.2,0.2,0.2])
            import("stl\\printable\\extruder_mount.stl");
            color([0.2,0.2,0.2])
            import("stl\\printable\\extruder_lock.stl");
            translate([5,-2.5,43])
            color("lightgray")
            import("stl\\nonprintable\\E3D_v6.stl");
            
            translate([-5.5,5.5,57])
            rotate(a=90,v=[1,0,0])
            import("stl\\nonprintable\\PC4-M6.stl");  

            color([0.2,0.2,0.2])
            translate([-12,-39,36-15])
            rotate(a=90,v=[1,0,0])
            import("stl\\nonprintable\\5015_Blower_Fan.stl");

            color([0.2,0.2,0.2])
            translate([30,-39,1])

            translate([-142,+152,1])
            rotate(a=-90,v=[0,0,1])
            import("stl\\printable\\fun_duct.stl");
            
            color("lightgray")
            translate([23,27,65])
            rotate(a=180,v=[0,1,0])
            import("stl\\nonprintable\\Induction_Sensor.stl");
           
            color("blue")
            translate([0,0,19]) 
            rotate(a=180,v=[0,0,1])
            rotate(a=90,v=[1,0,0])
            import("stl\\nonprintable\\V6.6_Duct.stl");
            
            
            translate([15,-70,-21]) 
            rotate(a=90,v=[0,1,0])
            {
                color([0.2,0.2,0.2])
                import("stl\\nonprintable\\30x30_Fan.stl");

            }  
            
        }
    }
}