$fn=100;

mounting_plate(0,0,0);

module mounting_plate(x,y,z)
{
    color([0,0.8,0])
    translate([x,y,z])
    translate([33,-11,-85])
    difference()
    {   
        translate([-33,11,85])
        rotate(a=90,v=[0,1,0])
        difference()
        {
           union()
           {    
            translate([-48,-38,0])
            linear_extrude(height=6)
            rounded_square(76,5);
            translate([-28,-38,0])
            linear_extrude(height=6)
            rounded_square(76,5);
           }
            
            translate([-42,0,9.5-2])    
            fhex(7,10);

            translate([42,0,9.5-2])
            fhex(7,10);

            translate([0,-32,9.5-2])
            fhex(7,10);

            translate([0,32,9.5-2])
            fhex(7,10);
            
            translate([-42,0,-1])    
            cylinder(r=2.2,10);

            translate([42,-0,-1])
            cylinder(r=2.2,10);

            translate([0,-32,-1])
            cylinder(r=2.2,10);

            translate([0,32,-1])
            cylinder(r=2.2,10);
            
       }
        translate([0,11,9])
        {
            translate([-40,-15,75])
            rotate(a=90,v=[0,1,0])
            {
                translate([-36,0,0])
                cylinder(r=2.2,h=100);
                translate([-36,-2.2,0])
                cube([34+36,4.4,50]);
            }

           translate([-79,-15,75])
            rotate(a=90,v=[0,1,0])
            {
                translate([-36,0,25])
                fhex(7.1,50);
                translate([-36,-3.55,0])
                cube([34+36,7.1,50]);
            }


            translate([-40,-15,41])
            rotate(a=90,v=[0,1,0])
            cylinder(r=2.2,h=50);

            translate([-79,-15,41])
            rotate(a=90,v=[0,1,0])
            {
                translate([0,0,25])
                fhex(7.1,50);
            }
        }
//-----------------------
        translate([0,11,9])
        {
            translate([-40,15,75])
            rotate(a=90,v=[0,1,0])
            {
                translate([-36,0,0])
                cylinder(r=2.2,h=100);
                translate([-36,-2.2,0])
                cube([34+36,4.4,50]);
            }
            
            translate([-79,15,75])
            rotate(a=90,v=[0,1,0])
            {
                translate([-36,0,25])
                fhex(7.1,50);
                translate([-36,-3.55,0])
                cube([34+36,7.1,50]);
            }

            translate([-40,15,41])
            rotate(a=90,v=[0,1,0])
            cylinder(r=2.2,h=50);
            
            translate([-79,15,41])
            rotate(a=90,v=[0,1,0])
            {
                translate([0,0,25])
                fhex(7.1,50);
            }
        }
//---------------------

    }




}

module rounded_square( width, radius_corner ) 
{
	translate( [ radius_corner, radius_corner, 0 ] )
    minkowski() 
    {
			square( width - 2 * radius_corner );
			circle( radius_corner );
	}
}

module fhex(wid,height){
hull(){
cube([wid/1.7,wid,height],center = true);
rotate([0,0,120])cube([wid/1.7,wid,height],center = true);
rotate([0,0,240])cube([wid/1.7,wid,height],center = true);
}
}