$fn=100;

nema_tin(0,0,0);

module nema_tin(x,y,z)
{
    translate([x,y,z])
    //color([0,0.8,0])
    translate([0,0,0])
    translate([0,0,0])
    rotate(a=-90,v=[1,0,0])
    rotate(a=180,v=[0,0,1])
    union()
    {
        //MOTOR HOLDER
        difference()
        {
            translate([5,0,-0.5])
                cube([54.1,42.3,4], center=true);
            translate([-26.5,-26.5,0])
                rotate(a=45,v=[0,0,1])
                    cube(20,5,7,center=true);
            translate([-26.4,26.4,0])
                rotate(a=45,v=[0,0,1])
                    cube(20,5,7,center=true);        
            translate([-1,0,0])
            {
                translate([0,0,-3])
                    cylinder(r=11.2,h=6);
                
                translate([-15.5,-15.5,-3])
                    cylinder(r=1.5,h=6);
                translate([15.5,-15.5,-3])
                    cylinder(r=1.5,h=6);
                translate([-15.5,15.5,-3])
                    cylinder(r=1.5,h=6);
                translate([15.5,15.5,-3])
                    cylinder(r=1.5,h=6); 
            }   
        }
        // BASE
        difference()
        {
            translate([30.5,0,5])
                cube([4,42.3,15], center=true);
            translate([30,-7.5,7])
                    cube([8,4,6], center=true);
            translate([30,7.5,7])
                    cube([8,4,6], center=true);
            translate([30,-7.5,10])
                rotate(a=90,v=[0,1,0])
                    cylinder(r=2,h=10, center=true);
            translate([30,7.5,10])
                rotate(a=90,v=[0,1,0])
                    cylinder(r=2,h=10, center=true);
            translate([30,-7.5,4])
                rotate(a=90,v=[0,1,0])
                    cylinder(r=2,h=10, center=true);
            translate([30,7.5,4])
                rotate(a=90,v=[0,1,0])
                    cylinder(r=2,h=10, center=true);        
            
        }
     
        // SIDE HOLDERS
        translate([17.5+9,23.1-3.85,12.5-9])
        {
            difference()
            {
                cube([12,3.8,12], center=true);
                translate([-13.5,0,13.5])
                    rotate(a=45,v=[0,1,0])
                        cube([30,5,30], center=true);
            }
        }
        
        translate([17.5+9,-23.1+3.85,12.5-9])
        {
            difference()
            {
                cube([12,3.8,12], center=true);
                translate([-13.5,0,13.5])
                    rotate(a=45,v=[0,1,0])
                        cube([30,5,30], center=true);
            }
        }
    }
}