$fn=100;

$vpt = [64, -64, 60];
$vpr = [58, 0, 228];
$vpd =840;

power_supplay(0,0,0);

module power_supplay(x,y,z)
{
    translate([x,y,z])
    rotate(a=-90,v=[0,0,1])
    {

        color("gray")
        rounded_cube(68,40,225,3);
        color([0,0.8,0])
        {
            import("stl\\printable\\ps_rear_v3.stl");
            translate([0,0,225+15+15])
            rotate(a=180,v=[0,1,0])
            import("stl\\printable\\ps_front_v3.stl");
        }
        color([0.2,0.2,0.2])
        translate([0,0,225+15+15])
        {
            import("stl\\printable\\dist1.stl");
            import("stl\\printable\\dist2.stl");
        }
        translate([98,-15,217])
        rotate(a=90,v=[0,0,1])
        power_supplay_switch(0,0,0);
    }

}
module power_supplay_switch(x,y,z)
{
    switch=[[0,0],[0,20],[2,20],[2,10],[6,3]];
    translate([x,y,z])
    {
        color([0.2,0.2,0.2])
        {
             translate([15-10.5,85,25])
             cube([21,26,20]);
             translate([13-10.5,83,43])
             cube([25,30,2]);
        }
        translate([30-10.5,88,45])
        rotate(a=-90,v=[0,1,0])
        color([0,0.8,0])
        linear_extrude(height=10)
        polygon(points=switch);  
    }
}

module rounded_cube( x, y, z, r)
{
    translate([-x/2+r,-y/2+r,0])
    linear_extrude(height=z)
    minkowski() 
    {
        square([x-2*r,y-2*r],true);
        translate([x/2-r,y/2-r,0])
        circle(r);

    }
}