$fn=100;

$vpt = [24, -57, 10];
$vpr = [84, 0, 195];
$vpd =612;

spool(0,0,0,1);

module spool(x,y,z,tr)
{
    translate([x,y,z])
    {
        //SPULENHALTER
        color([0.2,0.2,0.2])
        translate([-107,-74.5,0])
        import("stl//printable//spulenhalter_links_MK2_low.stl");
        color([0,0.8,0])
        translate([-2,0,80])
        rotate(a=180,v=[0,1,0])
        import("stl//printable//spulenhalter_rechts.stl");
        
        //SPOOL CAP
        color([0,0.8,0])
        translate([0,0,100])
        import("stl//printable//spool_cap.stl");
        
        //SPOOL
        color([0.2,0.2,0.2])
        translate([0,0,76])
        import("stl//nonprintable//MakerbotSpool.stl");

        //FILLAMENT GUIDE
        color([0,0.8,0])
        translate([70,-7.5,10])
        rotate(a=-90,v=[1,0,0])
        rotate(a=-90,v=[0,0,1])
        import("stl//printable//fillament guide.stl");   
        
        //HEX_NUTS
        color([0.2,0.2,0.2])
        translate([0,0,-5])
        import("stl//printable//hex_nut_M8.stl");   
        color([0.2,0.2,0.2])
        translate([0,0,-20])
        import("stl//printable//hex_nut_M8.stl");
        color([0.2,0.2,0.2])
        translate([0,0,-25])
        import("stl//printable//hex_nut_M8.stl");   
        color([0.2,0.2,0.2])
        translate([0,0,-30])
        import("stl//printable//hex_nut_M8.stl");  
        color([0.2,0.2,0.2])
        translate([0,0,-35])
        import("stl//printable//hex_nut_M8.stl");        

        //M8 THREAD
        if(tr)
        {
            color("lightgray")
            translate([0,0,-35-25])
            cylinder(r=4,h=165);
        }
    }
}