$fn=100;

//limit_switch(0,0,0);

module limit_switch(x,y,z)
{
    limit_switch_cover(x,y,z);
    limit_switch_model(-25+x,11.6+y,8.2+z);
}
module limit_switch_cover(x,y,z)
{
    color([0.2,0.2,0.2])
    translate([x,y,z])
    {
        translate([0,0,0])
        cube([10,19,6]);

        translate([0,18,0])
        cube([10,1,13]);
        translate([0,0,0])
        cube([10,2,13]);

        translate([0,0,12.5])
        cube([10,19,2.5]);
    }
}

module limit_switch_model(x,y,z)
{
color("lightgray")
translate([x,y,z])
rotate(a=-90,v=[0,0,1])
translate([9,16,0])
{
    rotate(a=-90,v=[1,0,0])
    difference()
    {
        union()
        {
            translate([-15.2,-4,12.8])
            cube([13,4,6]);
            
            
            translate([-14+1.8,-2.5-0.7,-2+12.5+3.4])
            cube([2,2,6]);
            
            difference()
            {
            translate([1.2,10-10.5,14.4+10])
            rotate(a=90,v=[1,0,0])
            scale([1.3,1,1])
            cylinder(r=2.5,h=3);
                
            translate([1.2,10,14.4+10])
            rotate(a=90,v=[1,0,0])
            scale([1.1,0.85,0.85])
            cylinder(r=2.5,h=20);
                
            translate([1.2-3,10,14.4+10-5])
            rotate(a=90,v=[1,0,0])
            scale([1.2,0.85,0.85])
            cube([5,5,20]);
            }
            translate([-14+5-6,-2.5-1,-2+12.5+8])
            rotate(a=-21,v=[0,1,0])
            cube([14,3,0.5]);
            
            translate([-14,-2.5,-2+12.5])
            cube([0.8,0.8,3]);
            
            translate([-14+5,-2.5,-2+12.5])
            cube([0.8,0.8,3]);
            
            translate([-14+10,-2.5,-2+12.5])
            cube([0.8,0.8,3]);
        }
        translate([-5.4,10,14.4])
        rotate(a=90,v=[1,0,0])
        cylinder(r=1,h=20);
        translate([-12,10,14.4])
        rotate(a=90,v=[1,0,0])
        cylinder(r=1,h=20);
    }

}
}