$fn=100;

//motor_mount_x(0,0,0);

module rounded_square( width, radius_corner ) 
{
	translate( [ radius_corner, radius_corner, 0 ] )
    minkowski() 
    {
			square( width - 2 * radius_corner );
			circle( radius_corner );
	}
}
module motor_mount_x(x,y,z)
{
translate([x,y,z])
//base wide NEMA
color([0,0.8,0])

{
    difference()
    {
        union()
        {
            //base
            mirror([1,0,0])
            difference()
            {
                union()
                {
                    translate([0,-9.75,3])
                    cube([20,19.5,6]);

                    translate([0,-21.75,3+6])
                    cube([20,43.5,16]);
                    
                    translate([-3,0,17])
                    rotate(a=90,v=[0,1,0])
                    scale([1,1.57353,1])
                    translate([-17,-17,-3])
                    linear_extrude(height=6)
                    rounded_square(34, 3);
                    
                   translate([-3,-12.5,3+6])
                   cube([23,25,25]);
                    
                }
                translate([-24,0,4])
                difference()
                {
                    
                    cube([43,43,14],center=true);
                    
                    
                    translate([23,-23,0])
                    rotate(a=-45, v=[0,0,1])
                    cube([10,10,16],center=true);

                    translate([23,23,0])
                    rotate(a=-135, v=[0,0,1])
                    cube([10,10,16],center=true);
                    translate([-23,-23,0])
                    rotate(a=-45, v=[0,0,1])
                    cube([10,10,16],center=true);

                    translate([-23,23,0])
                    rotate(a=-135, v=[0,0,1])
                    cube([10,10,16],center=true);
                }
                translate([7.1+3,-15,-10])
                cylinder(r=2,h=50);
                translate([7.1+3,15,-10])
                cylinder(r=2,h=50); 
                
                translate([7.1+3,-15,15+20])
                fhex(7.05,35);
                translate([7.1+3,15,15+20])
                fhex(7.05,35);
               // cylinder(r=4.1,h=35); 
                


                mirror([1,0,0])             
                translate([26,0,14.5])
                rotate(a=180,v=[0,1,0])
                translate([2,0,0])
                {
                    translate([15.5,-15.5,-45])
                        cylinder(r=3,h=35);

                    translate([15.5,15.5,-45])
                        cylinder(r=3,h=35);  
               
                }
            }

            //MOTOR HOLDER
            translate([26,0,14.5])
            rotate(a=180,v=[0,1,0])
            difference()
            {
                translate([3,0,-8])
                    cube([44,43.5,23], center=true);
                translate([-26.5,-26.5,-8])
                    rotate(a=45,v=[0,0,1])
                        cube(24,5,7,center=true);
                translate([-26.5,26.5,-8])
                    rotate(a=45,v=[0,0,1])
                        cube(24,5,7,center=true);        
                translate([2,0,0])
                {
                    translate([0,0,-20])
                        cylinder(r=11.2,h=30);
                    

                    
                    
                   translate([-15.5,-15.5,-20])
                        cylinder(r=1.5,h=35);
                    translate([15.5,-15.5,-20])
                        cylinder(r=1.5,h=35);
                    translate([-15.5,15.5,-20])
                        cylinder(r=1.5,h=35);
                    translate([15.5,15.5,-20])
                        cylinder(r=1.5,h=35); 
                    
                    translate([-15.5,-15.5,-45])
                        cylinder(r=3,h=35);
                    translate([15.5,-15.5,-45])
                        cylinder(r=3,h=35);
                    translate([-15.5,15.5,-45])
                        cylinder(r=3,h=35);
                    translate([15.5,15.5,-45])
                        cylinder(r=3,h=35); 
                }   
            }
        }
                translate([-22,-9,15])
                cube([46,18,15]);
                mirror([1,0,0])
                {
                    translate([7.1+3,-15,-10])
                    cylinder(r=2,h=50);
                  
                    translate([7.1+3,15,-10])
                    cylinder(r=2,h=50); 
                    
                     translate([7.1+3,-15,25])
                    cylinder(r=4.1,h=35);

                    translate([7.1+3,15,25])
                    cylinder(r=4.1,h=35); 
                }
    }
    
    

}
}

module fhex(wid,height){
hull(){
cube([wid/1.7,wid,height],center = true);
rotate([0,0,120])cube([wid/1.7,wid,height],center = true);
rotate([0,0,240])cube([wid/1.7,wid,height],center = true);
}
}