$fn=100;

nut_M4(0,0,0);
nut_M5(30,0,0);
// M4
module nut_M4(x,y,z)
{
    translate([x,y,z])
    difference()
    {
        union()
        {
            cylinder(r=5,h=11);
            cylinder(r=10,h=6);
            for(i=[1:12])
            {
                rotate(a=(i*30),v=[0,0,1])
                linear_extrude(height=6)
                hull()
                {
                    translate([-10,0,0])
                    circle(2);
                    translate([10,0,0])
                    circle(2);
                }
            }
        }
        translate([0,0,-1])
        cylinder(r=2.2,h=13);
        translate([0,0,9.5])
        fhex(7.05,4);
    }
}

//M5
module nut_M5(x,y,z)
{
    translate([x,y,z])
    difference()
    {
        union()
        {
            cylinder(r=6,h=18);
            cylinder(r=10,h=8);
            for(i=[1:12])
            {
                rotate(a=(i*30),v=[0,0,1])
                linear_extrude(height=8)
                hull()
                {
                    translate([-10,0,0])
                    circle(2);
                    translate([10,0,0])
                    circle(2);
                }
            }
        }
        translate([0,0,8])
        cylinder(r=2.7,h=11);
        translate([0,0,16])
        fhex(8,4.5);
    }
}
module fhex(wid,height)
{
    hull()
    {
        cube([wid/1.7,wid,height],center = true);
        rotate([0,0,120])cube([wid/1.7,wid,height],center = true);
        rotate([0,0,240])cube([wid/1.7,wid,height],center = true);
    }
}