$fn=100;

//x_mount(0,0,0);

module rounded_square( width, radius_corner ) 
{
	translate( [ radius_corner, radius_corner, 0 ] )
    minkowski() 
    {
			square( width - 2 * radius_corner );
			circle( radius_corner );
	}
}

module fhex(wid,height){
hull(){
cube([wid/1.7,wid,height],center = true);
rotate([0,0,120])cube([wid/1.7,wid,height],center = true);
rotate([0,0,240])cube([wid/1.7,wid,height],center = true);
}
}


module lezaj(x,y,z)
{
    translate([x,y,0])
    {
        translate([-9,12,-5])
        cylinder(r=2,h=20);
        translate([-9,12,8+z])
        cylinder(r=4.5,h=20);
        
        translate([-9,-12,-5])
        cylinder(r=2,h=20);
        translate([-9,-12,8+z])
        cylinder(r=4.5,h=20);
        
        translate([9,12,-5])
        cylinder(r=2,h=20);
        translate([9,12,8+z])
        cylinder(r=4.5,h=20);
        
        translate([9,-12,-5])
        cylinder(r=2,h=20);
        translate([9,-12,8+z])
        cylinder(r=4.5,h=20);
        

        
    }
}
module x_mount(x,y,z)
{
    color([0.2,0.2,0.2])
    translate([x,y,z])
    //rotate(a=180,v=[1,0,0])
    {
    difference()
    {
        union()
        {
            translate([-38,-48,0])
            linear_extrude(height=5)
            rounded_square(76,5);
            translate([-38,-27,0])
            linear_extrude(height=5)
            rounded_square(76,5);
            translate([0,1,0])
            {
                translate([0,-16,3])
                difference()
                {
                    translate([5,-4,-10])
                    cube([10,10,10]);

                    translate([4,-3,-20])
                    rotate(a=45,v=[1,0,0])
                    cube([12,15,15]);
                }
                translate([-15,-16,3])
                difference()
                {
                    translate([0,-4,-10])
                    cube([10,10,10]);

                    translate([-1,-3,-20])
                    rotate(a=45,v=[1,0,0])
                    cube([12,15,15]);
                }
                translate([0,0,3])
                difference()
                {
                    translate([5,-4,-10])
                    cube([10,10,10]);

                    translate([4,5,-20])
                    rotate(a=45,v=[1,0,0])
                    cube([12,15,15]);
                }
                translate([-15,0,3])
                difference()
                {
                    translate([0,-4,-10])
                    cube([10,10,10]);

                    translate([-1,5,-20])
                    rotate(a=45,v=[1,0,0])
                    cube([12,15,15]);
                }

                difference()
                {
                    union()
                    {
                        translate([-15,-4,-30])
                        rotate(a=90,v=[1,0,0])
                        linear_extrude(height=6)
                        rounded_square(20,5);
                        translate([-15,-3-7,-20])
                        cube([20,6,20]);
                        
                        translate([-5,-4,-30])
                        rotate(a=90,v=[1,0,0])
                        linear_extrude(height=6)
                        rounded_square(20,5);
                        translate([-5,-3-7,-20])
                        cube([20,6,20]);
                    }

                    translate([-4,-4+2,-25])
                    rotate(a=90,v=[1,0,0])
                    linear_extrude(height=10)
                    rounded_square(8,3);
                    translate([-4,-4+2,-22])
                    rotate(a=90,v=[1,0,0])
                    linear_extrude(height=10)
                    rounded_square(8,3);
                    translate([-4,-4+2,-19])
                    rotate(a=90,v=[1,0,0])
                    linear_extrude(height=10)
                    rounded_square(8,3);
                    translate([-4,-4+2,-16])
                    rotate(a=90,v=[1,0,0])
                    linear_extrude(height=10)
                    rounded_square(8,3);
                    translate([-4,-4+2,-13])
                    rotate(a=90,v=[1,0,0])
                    linear_extrude(height=10)
                    rounded_square(8,3);
                }
            }
        }
        lezaj(22.5,31.5,-5.5);
        lezaj(-22.5,31.5,-5.5);
        lezaj(22.5,-30.5,-5.5);
        lezaj(-22.5,-30.5,-5.5);
        
        translate([-32,0,-6.5])    
        cylinder(r=3.65,h=10);

        translate([32,0,-6.5])
        cylinder(r=3.65,h=10);
      
        
        translate([-32,0,0])    
        cylinder(r=2.2,10);

        translate([32,0,0])
        cylinder(r=2.2,10);
        
        translate([0,-42,-6.5])
        cylinder(r=3.65,h=10);

        translate([0,42,-6.5])
        cylinder(r=3.65,h=10);
        
        translate([0,-42,0])
        cylinder(r=2.2,10);

        translate([0,42,0])
        cylinder(r=2.2,10);

    }

    }
}



