$fn=100;


//motor_mount_y(0,0,0);

module motor_mount_y(x,y,z)
{
translate([x,y,z])
color([0,0.8,0])
{
    difference()
    {
        union()
        {
            //base
            mirror([1,0,0])
            difference()
            {
                union()
                {
                  translate([0,-21.5,3])
                    cube([20,43,6]);

                    translate([0,-33.5,3+6])
                    cube([20,67,7]);
                    
                    translate([-3,0,11.5])
                    rotate(a=90,v=[0,1,0])
                    scale([1,1.925,1])
                    {
                        translate([-11.5,-20,-3])
                        linear_extrude(height=6)
                        rounded_square(23, 3);
                        translate([-11.5,-3,-3])
                        linear_extrude(height=6)
                        rounded_square(23, 3);
                    } 
                    
                   translate([-3,-21,3+6])
                   cube([23,42,14]);
                }
                
                 mirror([1,0,0])             
                translate([26,0,14.5-11])
                rotate(a=180,v=[0,1,0])
                translate([2,0,0])
                {
                    translate([15.5,-15.5,-45])
                        cylinder(r=3,h=35);

                    translate([15.5,15.5,-45])
                        cylinder(r=3,h=35);  
               
                }
                translate([-24,0,1])
                difference()
                {
                    
                    cube([43,43,4],center=true);
                    
                    
                    translate([23,-23,0])
                    rotate(a=-45, v=[0,0,1])
                    cube([10,10,6],center=true);

                    translate([23,23,0])
                    rotate(a=-135, v=[0,0,1])
                    cube([10,10,6],center=true);
                    translate([-23,-23,0])
                    rotate(a=-45, v=[0,0,1])
                    cube([10,10,6],center=true);

                    translate([-23,23,0])
                    rotate(a=-135, v=[0,0,1])
                    cube([10,10,6],center=true);
                }
                translate([7.1+3,-26.5,-10])
                cylinder(r=2,h=50);
                translate([7.1+3,26.5,-10])
                cylinder(r=2,h=50); 
                
                 translate([7.1+3,-26.5,14])
                cylinder(r=4.1,h=35);
                translate([7.1+3,26.5,14])
                cylinder(r=4.1,h=35); 
            }

            //MOTOR HOLDER
            translate([26,0,14.5-11])
            rotate(a=180,v=[0,1,0])
            difference()
            {
                translate([6,0,-9.5])
                    cube([50,42,20], center=true);
                translate([-26.5,-26.5,-8])
                    rotate(a=45,v=[0,0,1])
                        cube(24,5,7,center=true);
                translate([-26.5,26.5,-8])
                    rotate(a=45,v=[0,0,1])
                        cube(24,5,7,center=true);        
                translate([2,0,0])
                {
                    translate([0,0,-20])
                        cylinder(r=11.2,h=30);
                    
                    /* translate([0,0,-20])
                        cylinder(r=9,h=30);*/ 
                    
                    
                    translate([-15.5,-15.5,-20])
                        cylinder(r=1.5,h=35);
                    translate([15.5,-15.5,-20])
                        cylinder(r=1.5,h=35);
                    translate([-15.5,15.5,-20])
                        cylinder(r=1.5,h=35);
                    translate([15.5,15.5,-20])
                        cylinder(r=1.5,h=35); 
                    
                    translate([-15.5,-15.5,-45])
                        cylinder(r=3,h=35);
                    translate([15.5,-15.5,-45])
                        cylinder(r=3,h=35);
                    translate([-15.5,15.5,-45])
                        cylinder(r=3,h=35);
                    translate([15.5,15.5,-45])
                        cylinder(r=3,h=35); 
                }   
            }
        }
      translate([-22,-9,15-10+1])
       cube([46,18,15]);
    }
}
}
module rounded_square( width, radius_corner ) 
{
	translate( [ radius_corner, radius_corner, 0 ] )
    minkowski() 
    {
			square( width - 2 * radius_corner );
			circle( radius_corner );
	}
}

