$fn=100;

bearing_upper_z(0,0,0);
module bearing_upper_z(x,y,z)
{
    //BASE upper
    translate([x,y,z])
    difference()
    {
        translate([0,-15,6.5])
        rotate(a=-90,v=[1,0,0])
        {
            difference()
            {
                union()
                {
                    translate([-6.5-21-10,-6.5,-3])
                    linear_extrude(height=30.5)
                    rounded_square(13,3);

                    translate([-6.5+21,-6.50,-3])
                    linear_extrude(height=30.5)
                    rounded_square(13,3);

                    translate([-30,-6.5,-3])
                    cube([50,13,15]);

                    
                    
                    translate([-30,-6.5,-3])
                    cube([51,13,30.5]);

                }
                
                translate([5,4.5,15])
                rotate(a=90,v=[1,0,0])
                cylinder(r=11.15,h=20);
                
                translate([-40,-8,14.5])
                cube([20,15,1.5]);
                
                translate([21,0,-4])
                cylinder(r=2,h=40);
                
                translate([21,0,6])
                cylinder(r=3.5,h=40);
                
                translate([-21,0,-4])
                cylinder(r=2,h=40); 
                
                translate([-21,0,6])
                cylinder(r=3.5,h=40);
              
                translate([-31,0,-4])
                cylinder(r=2.1,h=40); 
                
                translate([-31,0,24])
                cylinder(r=3.5,h=40); 
                
                translate([-31,0,-2])
                fhex(7,5);
        
            }

            translate([5,4.5,15])
            rotate(a=90,v=[1,0,0])
            cylinder(r=5,h=1);



        }
        translate([5,0,-1])
        cylinder(r=4.2,h=15);

        
        translate([5-25,0,-1])
        cylinder(r=4.05,h=15);
        
        
    }
    
}

module fhex(wid,height){
hull(){
cube([wid/1.7,wid,height],center = true);
rotate([0,0,120])cube([wid/1.7,wid,height],center = true);
rotate([0,0,240])cube([wid/1.7,wid,height],center = true);
}
}

module rounded_square( width, radius_corner ) 
{
	translate( [ radius_corner, radius_corner, 0 ] )
    minkowski() 
    {
			square( width - 2 * radius_corner );
			circle( radius_corner );
	}
}