$fn=100;


nema_stronger_z(0,0,0);


module nema_stronger_z(x,y,z)
{
    color([0,0.8,0])
    translate([x,y,z])
    union()
    {
        //MOTOR HOLDER
        difference()
        {
            translate([7,0,-0.5])
                cube([55,54.2,8], center=true);
            translate([-27,-27,0])
                rotate(a=45,v=[0,0,1])
                    cube(20,5,7,center=true);
            translate([-27,27,0])
                rotate(a=45,v=[0,0,1])
                    cube(20,5,7,center=true);        
            translate([2,0,0])
            {
                translate([3,0,-6])
                    cylinder(r=11.2,h=10);
                
                translate([-15.5+3,-15.5,-6])
                    cylinder(r=1.5,h=10);
                translate([15.5+3,-15.5,-6])
                    cylinder(r=1.5,h=10);
                translate([-15.5+3,15.5,-6])
                    cylinder(r=1.5,h=10);
                translate([15.5+3,15.5,-6])
                    cylinder(r=1.5,h=10); 
            }   
        }
        // BASE
        difference()
        {
            translate([30.5,0,8])
                cube([8,54.2,16], center=true);
            translate([30,-15.5,9])
                    cube([20,4,3], center=true);
            translate([30,15.5,9])
                    cube([20,4,3], center=true);
            translate([30,-15.5,10.5])
                rotate(a=90,v=[0,1,0])
                    cylinder(r=2,h=10, center=true);
            translate([30,15.5,10.5])
                rotate(a=90,v=[0,1,0])
                    cylinder(r=2,h=10, center=true);
            translate([30,-15.5,7.5])
                rotate(a=90,v=[0,1,0])
                    cylinder(r=2,h=10, center=true);
            translate([30,15.5,7.5])
                rotate(a=90,v=[0,1,0])
                    cylinder(r=2,h=10, center=true);
    
    
               translate([20,-15.5,9])
                    cube([20,8,3], center=true);
            translate([20,15.5,9])
                    cube([20,8,3], center=true);
            translate([25,-15.5,10.5])
                rotate(a=90,v=[0,1,0])
                    cylinder(r=4,h=10, center=true);
            translate([25,15.5,10.5])
                rotate(a=90,v=[0,1,0])
                    cylinder(r=4,h=10, center=true);
            translate([25,-15.5,7.5])
                rotate(a=90,v=[0,1,0])
                    cylinder(r=4,h=10, center=true);
            translate([25,15.5,7.5])
                rotate(a=90,v=[0,1,0])
                    cylinder(r=4,h=10, center=true);        
            
        }
     
        // SIDE HOLDERS
        translate([17.5,24.1,12.5])
        {
            
            difference()
            {
                translate([0,0,-4.5])
                cube([30,6,16], center=true);
                translate([-15,0,15])
                    rotate(a=45,v=[0,1,0])
                        cube([30,10,30], center=true);
            }
        }
        
        translate([17.5,-24.1,12.5])
        {
            difference()
            {
                translate([0,0,-4.5])
                cube([30,6,16], center=true);
                translate([-15,0,15])
                    rotate(a=45,v=[0,1,0])
                        cube([30,10,30], center=true);
            }
        }
    }
}
