use <frame/frame.scad>
use <text_plate/text_plate.scad>
use <z_axis/z_axis.scad>
use <y_axis/y_axis.scad>
use <x_axis/x_axis.scad>
use <extruder/extruder.scad>
use <spool/spool.scad>
use <power_supplay/power_supplay.scad>
use <ramps_box/ramps_box.scad>
use <smart_lcd/smart_lcd.scad>

$fn=100;

$vpt = [-7, -100, 200];
$vpr = [70, 0, 204];
$vpd =1950;

//--------------------
xpos=100;
ypos=100;
zpos=100; 
//--------------------

translate([0,0,0])
{
    //frame
    frame(0,200,0);
    //axes
    z_axis(0,-100,113.5,0,139,zpos);
    x_axis(0,-92,113+zpos,160,xpos);
    y_axis(0,0,64,200,ypos);
    //extruder
    extruder_head(126-xpos,-4,28+zpos);
    spool(0,-120,435,1);
    //electronics
    ramps_box(165,-140,340);
    power_supplay(-160,-177,130);
    smart_lcd(0,282,0,1);
    //text plates
    plate_name(120,202,20);
    plate_year(-120,202,20);
}



