use <nema_tin.scad>


$fn=100;
translate([0,0,-90.35])
difference()
{
    union()
    {
        translate([-1.9,10.9+4.1,235-14.5])
        rotate(a=-180,v=[0,1,0]) 
        rotate(a=180,v=[0,0,1]) 
        nema_tin(7.5,12.5,105);
        
        translate([6.5,1,102-14.5])
        rotate(a=-90,v=[1,0,0])
        rotate(a=-90,v=[0,0,1])
        mirror(1,0,0)
        translate([-24,-2,0])
        rotate(a=90,v=[0,0,1])
        base();


    }
    translate([6.5,1,102-14.5])
    rotate(a=-90,v=[1,0,0])
    rotate(a=-90,v=[0,0,1])    
    mirror(1,0,0)
    translate([-24,-2,0])
    rotate(a=90,v=[0,0,1])   
    translate([2,0,2.5]) 
    {
        translate([-15.5,-15.5,-3])
        cylinder(r=1.8,h=16);
        translate([15.5,-15.5,-3])
        cylinder(r=1.8,h=16);
        translate([-15.5,15.5,-3])
        cylinder(r=1.8,h=16);
        translate([15.5,15.5,-3])
        cylinder(r=1.8,h=16); 

    }
}
module base()
{
    
    difference()
    {
        translate([-19.15,-16.7,0])
        import("..\\stl\\nonprintable\\SCH_Base_rev2.stl");
        translate([11,-6,4.0])    
        cube([10,10,12]);
        translate([8.45,-3,4.0])    
        cube([14.7,10,20]);
            
        translate([11,-8.5,4.0])    
        cube([10,10,12]);
        
        translate([0,0,2.5]) 
        translate([2,0,0])
        translate([0,0,-2.5-1.5])
        cylinder(r=11.2,h=4);
    }


    translate([16,-5.5,9.65])
    rotate(a=90, v=[1,0,0])
    cylinder(r=2.2,h=5); 

    translate([0,0,0])
    difference()
    {
        translate([9.15,-10,0])
        cube([14,10,15]);
            
        translate([11,-8.5,4.0])    
        cube([10,10,12]);

        translate([8.45,-3,4.0])    
        cube([14.7,10,20]);
        
        translate([0,0,2.5]) 
        translate([2,0,0])
        translate([0,0,-2.5-1.5])
        cylinder(r=11.2,h=4);  
        
    }



    translate([0,0,2.5]) 
    difference()
        {
            translate([2,0,-0.5])
                cube([42.3,42.3,4], center=true);
            translate([-25.3,-25.3,0])
                rotate(a=45,v=[0,0,1])
                    cube(20,5,7,center=true);
            translate([-25,25,0])
                rotate(a=45,v=[0,0,1])
                    cube(20,5,7,center=true); 
          translate([27,-27,0])  
                rotate(a=45,v=[0,0,1])
                    cube(20,5,7,center=true);
            translate([27,27,0])
                rotate(a=45,v=[0,0,1])
                    cube(20,5,7,center=true);         
            translate([2,0,0])
            {
                translate([0,0,-3])
                    cylinder(r=6.5,h=6);
                translate([0,0,-2.5-1.5])
                cylinder(r=11.2,h=4);
                
                translate([-15.5,-15.5,-3])
                    cylinder(r=1.7,h=6);
                translate([15.5,-15.5,-3])
                    cylinder(r=1.7,h=6);
                translate([-15.5,15.5,-3])
                    cylinder(r=1.7,h=6);
                translate([15.5,15.5,-3])
                    cylinder(r=1.7,h=6); 
                translate([15.5,15.5,-1])
                    cylinder(r=2.7,h=6); 
                
        
            }   
        }
        

    translate([0,0,2.5])
        {
    difference()
        {
            translate([-19.15,-21.15,-0.5])
                cube([42.3,12.7,13]);
            translate([-25.3,-25.3,3])
                rotate(a=45,v=[0,0,1])
                    cube(20,5,7,center=true);
          translate([27,-27,3])  
                rotate(a=45,v=[0,0,1])
                    cube(20,5,7,center=true);
        
            translate([2,0,0])
            {
                translate([0,0,-3])
                    cylinder(r=6.5,h=6);
                
                translate([-15.5,-15.5,-3])
                    cylinder(r=1.7,h=30);
                translate([15.5,-15.5,-3])
                    cylinder(r=1.7,h=30);
                translate([-15.5,-15.5,10])
                    cylinder(r=3,h=30);
                translate([15.5,-15.5,10])
                    cylinder(r=3,h=30);

            } 
            translate([2,0,0])
                translate([0,0,-2.5-1.5])
                cylinder(r=11.2,h=4);
                
            translate([-4,8.8,7.15])
            rotate(a=90, v=[1,0,0])
            cylinder(r=1.2,h=50);  
                    translate([-4,8.8-25,7.15])
            rotate(a=90, v=[1,0,0])
            cylinder(r=2.1,h=50);  
        }  

    }

    module rounded_square( width, radius_corner ) 
    {
     translate( [ radius_corner, radius_corner, 0 ] )
        minkowski() 
        {
       square( width - 2 * radius_corner );
       circle( radius_corner );
     }
    }



    translate([26,-11,0])
    linear_extrude(height=15)
    rounded_square(8,3);

    translate([23,-11,0])
    linear_extrude(height=15)
    rounded_square(8,0.1);
    translate([22,-11,0])
    linear_extrude(height=15)
    rounded_square(8,0.1);
}