$fn=100;

extruder_lock(0,0,0);

module extruder_lock(x,y,z)
{
    translate([x,y,z])
    {
        difference()
        {
            lock();
            mount();
        }
    }
    
    
}
module mount()
{
    translate([-0.3,0.02,51.6])
    cylinder(r=6.05,h=5.6);
    translate([-0.3,0.02,57.2])
    cylinder(r=8.05,h=4);
    t=3.2;
    translate([-0.3,0.02,51.6-t])
    cylinder(r=8.05,h=t);
    p=1.3;
    translate([-0.3,0.02,51.6-t-p])
    cylinder(r=5.05,h=p);
    k=1.2;
    translate([-0.3,0.02,51.6-t-p-k])
    cylinder(r=8.15,h=k);
    r=1.2;
    translate([-0.3,0.02,51.6-t-p-k-r])
    cylinder(r=5.15,h=r);
}

module lock()
{
    difference()
    {
        union()
        {
            translate([0,-24,45])
            cube([12,48+11,16]);
        } 
        translate([-30,-15,53])
        rotate(a=90,v=[0,1,0])
        {
            cylinder(r=2.2,h=50);
            translate([0,0,39])
            cylinder(r=3.65,h=50);
        }
        
        translate([-30,15,53])
        rotate(a=90,v=[0,1,0])
        {
            cylinder(r=2.2,h=50);
            translate([0,0,39])
            cylinder(r=3.65,h=50);
        }
     /*   translate([-13,-24,36])
        cube([47,5.5,13.5]);*/
    }
    
    translate([12,32,50])
    rotate(a=90,v=[0,1,0])
    {
        translate([13,0-5,17-6])
        rotate(a=90,v=[0,1,0])
        difference()
        {
            union()
            {
               // cylinder(r=11,h=12);
                cylinder(r=8,h=10);
                translate([0,-8,0])
                cube([13,16,10]);

            }
            translate([0,0,-1])
            cylinder(r=6.25,h=12);
        }
        difference()
        {
            
            translate([-11,-8-5,0-6-6])
            cube([34,16,5+3+1+3]);

        }
    }
}

module fhex(wid,height){
hull(){
cube([wid/1.7,wid,height],center = true);
rotate([0,0,120])cube([wid/1.7,wid,height],center = true);
rotate([0,0,240])cube([wid/1.7,wid,height],center = true);
}
}