$fn=100;

extruder_mount(0,0,0);
module extruder_mount(x,y,z)
{
    color([0.2,0.2,0.2])
    translate([x,y,z])
    {
        difference()
        {
            base();
            mount();
        }
    }
    
    
}




module base()
{

    difference()
    {
        union()
        {
            translate([-25,-24,45])
            cube([25,48,16]);
            translate([-25-4,-24,36])
            cube([12+4,48,36]);
        }
        translate([-30,-15,65])
        rotate(a=90,v=[0,1,0])
        cylinder(r=2.2,h=50);

        translate([-16,-15,65])
        rotate(a=90,v=[0,1,0])
        cylinder(r=3.65,h=50);


        translate([-30,-15,41])
        rotate(a=90,v=[0,1,0])
        cylinder(r=2.2,h=50);

        translate([-16,-15,41])
        rotate(a=90,v=[0,1,0])
        cylinder(r=3.65,h=50);

        translate([-30,15,65])
        rotate(a=90,v=[0,1,0])
        cylinder(r=2.2,h=50);

        translate([-16,15,65])
        rotate(a=90,v=[0,1,0])
        cylinder(r=3.65,h=50);


        translate([-30,15,41])
        rotate(a=90,v=[0,1,0])
        cylinder(r=2.2,h=50);

        translate([-16,15,41])
        rotate(a=90,v=[0,1,0])
        cylinder(r=3.65,h=50);
        
        translate([-25-4+8,0,30])
        cylinder(r=3.5,h=50);
        
        translate([-30,-15,53])
        rotate(a=90,v=[0,1,0])
        {
            cylinder(r=2.2,h=50);
            fhex(7.1,30);
        }
        
        translate([-30,15,53])
        rotate(a=90,v=[0,1,0])
        {
            cylinder(r=2.2,h=50);
            fhex(7.1,30);
        }
    }
    translate([0,0,-15])
    difference()
    {
        union()
        {
            translate([-13-12,-24,51])
            cube([13+12-7,5,36]); 
            translate([-13-12,-24,44.6])
            cube([13+12,5,36]);
            translate([-6.5,-19,80.5])
            rotate(a=90,v=[1,0,0])
            cylinder(r=6.5,h=5);
        }
        translate([-7.5,-16,80.5])
        rotate(a=90,v=[1,0,0])
        translate([0,0,-1])
        cylinder(r=2.5,h=10);
    }

    translate([0,0,-15])
    difference()
    {
        union()
        {
            translate([-13-12,-24,36])
            cube([47+12,5,13]);
            translate([35,-19,42.5])
            rotate(a=90,v=[1,0,0])
            cylinder(r=6.5,h=5);
        }
        translate([35,-16,43.5])
        rotate(a=90,v=[1,0,0])
        translate([0,0,-1])
        cylinder(r=2.5,h=10);
    }
}

module mount()
{
    translate([-0.3,0.02,51.6])
    cylinder(r=6.05,h=5.6);
    translate([-0.3,0.02,57.2])
    cylinder(r=8.05,h=4);
    t=3.2;
    translate([-0.3,0.02,51.6-t])
    cylinder(r=8.05,h=t);
    p=1.3;
    translate([-0.3,0.02,51.6-t-p])
    cylinder(r=5.05,h=p);
    k=1.2;
    translate([-0.3,0.02,51.6-t-p-k])
    cylinder(r=8.15,h=k);
    r=1.2;
    translate([-0.3,0.02,51.6-t-p-k-r])
    cylinder(r=5.15,h=r);
}



module fhex(wid,height){
hull(){
cube([wid/1.7,wid,height],center = true);
rotate([0,0,120])cube([wid/1.7,wid,height],center = true);
rotate([0,0,240])cube([wid/1.7,wid,height],center = true);
}
}