// ..............................
// Prusa i3 Things
// Ramps_1.4_box_v2
// Oktay Gülmez
// 07/01/2016
// GNU GPL v3
// ..............................

$fn=20;
d=0.3;
difference(){
    union(){
//Bottom_Box outside...........................................   
        minkowski(){
           translate([2,2,0]) cube([65,114,31]);
            cylinder(r=2);
        }
        
       //Bottom_Mounting legs. 
   /*     translate([9,-6,0]) cylinder(h=6, r=6);
          translate([3,-6,0]) cube([12,7,12]);
        translate([15,118+6,0]) cylinder(h=6, r=6);
          translate([9,118-1,0]) cube([12,7,12]);
        translate([69-9,118+6,0]) cylinder(h=6, r=6);
          translate([69-9-6,118-1,0]) cube([12,7,12]);
        translate([69-9,-6,0]) cylinder(h=6, r=6);
          translate([69-9-6,-6,0]) cube([12,7,12]);*/
        
       //Bottom_hinges. 
        translate([-6,20,26]) rotate([-90,0,0]) cylinder(h=10, r=6);
        translate([-6,20,26]) cube([7,10,6]);
        translate([-10,20,21.6]) rotate([0,45,0])cube([15,10,12]);
        
        translate([-6,118-30,26]) rotate([-90,0,0]) cylinder(h=10, r=6);
        translate([-6,118-30,26]) cube([7,10,6]);
        translate([-10,118-30,21.6]) rotate([0,45,0])cube([15,10,12]);
///////////////////////////////////////////////////////        
//Top_box outside...................................... 
        minkowski(){
           translate([84,2,0]) cube([65,114,13.5]);
            cylinder(r=2);
        }
        
        //Top_hinges.
        translate([157,30+d,20.5]) rotate([-90,0,0]) cylinder(h=10, r=6);
        translate([152.5,30+d,24.5]) rotate([0,125,0])cube([21,10,12]);
        
        translate([157,118-30-10-d,20.5]) rotate([-90,0,0]) cylinder(h=10, r=6);
        translate([152.5,118-30-10-d,24.5]) rotate([0,125,0])cube([21,10,12]);
        
        translate([151-3,30+d,14]) cube([3,118-30-30-2*d,4.5]);

/////////////////////////////////////////////////////////////
       
    }
    
//Bottom_box inside.......................................
       translate([3-d,3-d,2.5]) cube([63+2*d,112+2*d,45]);
       
    //Bottom_Mounting legs holes.
    translate([9,-6,-1]) cylinder(h=10, r=1.8);
      translate([9,-6,5]) cylinder(h=10, r=3.8);
    translate([15,118+6,-1]) cylinder(h=10, r=1.8);
      translate([15,118+6,5]) cylinder(h=10, r=3.8);
    translate([69-9,118+6,-1]) cylinder(h=10, r=1.8);
      translate([69-9,118+6,5]) cylinder(h=10, r=3.8);
    translate([69-9,-6,-1]) cylinder(h=10, r=1.8);
      translate([69-9,-6,5]) cylinder(h=10, r=3.8);
    
    //Bottom_Mounting legs fancy.
    translate([0,-6,12]) rotate([0,90,0]) cylinder(h=70, r=6);
    translate([0,118+6,12]) rotate([0,90,0]) cylinder(h=70, r=6);
        
    //Bottom_hinges pin holes.
     translate([-6,19,26]) rotate([-90,0,0]) cylinder(h=120, r=1.8);

    //Bottom_Front holes
    translate([11-d,-6,7-d]) cube([13+2*d,10,11+2*d]);
    translate([42-d,-1,7-d]) cube([9+2*d,6,11+2*d]);
    translate([42-d,-1,21-d]) cube([21+2*d,6,12]);
    translate([10,-1,22]) cube([24,10,6]);
    translate([10,-1,25]) rotate([-90,0,0]) cylinder(h=10, r=3);
    translate([34,-1,25]) rotate([-90,0,0]) cylinder(h=10, r=3);
    
    //Bottom_Left Side hinge clearence.
    translate([-1,30,20]) cube([10,118-30-30,20]);
    
    //Bottom_Right Side reset button hole. 
    translate([63,39,26]) rotate([0,90,0]) cylinder(h=10, r=2.5);
    translate([63,39-2.5,26]) cube([10,5,10]);
    
    
    //Bottom_bottom cooling holes
    for ( i = [16 : 7 : 52] )
    {
      translate([i,30,-1]) cylinder(h=5, r=1.5);
      translate([i,50,-1]) cylinder(h=5, r=1.5);
      translate([i-1.5,30,-1]) cube([3,20,10]);
        
        translate([i,65,-1]) cylinder(h=5, r=1.5);
      translate([i,85,-1]) cylinder(h=5, r=1.5);
      translate([i-1.5,65,-1]) cube([3,20,10]);
    }
    
    //Bottom_Clips holes
    translate([69,17,32-7]) rotate([-90,0,0]) cylinder(h=8, r=2);
    translate([69,118-17-8,32-7]) rotate([-90,0,0]) cylinder(h=8, r=2);
//////////////////////////////////////////////////////        
//Top_inside..........................................    
    translate([82+3-d,3-d,2.5]) cube([63+2*d,112+2*d,20]);
    
    //Top_side cable outlet.
    translate([82,41,6]) cube([10,118-41-35,10]);
    
    //Top_lcd cable out hole.
    translate([98,103,-1]) cube([44,11,10]);
    
    //Top_hinge pin hole.
    translate([157,30,20.5]) rotate([-90,0,0]) cylinder(h=118-30-30, r=1.5);
    
    //Top_Fan holes
    translate([116.5,51,-1]) cylinder(h=10, r=28, $fn=96);
    translate([116.5-25,51-25,-1]) cylinder(h=4, r1=2, r2=4);
    translate([116.5+25,51-25,-1]) cylinder(h=4, r1=2, r2=4);
    translate([116.5-25,51+25,-1]) cylinder(h=4, r1=2, r2=4);
    translate([116.5+25,51+25,-1]) cylinder(h=4, r1=2, r2=4);
    
     translate([116.5,51,-1]) rotate([0,0,-62]) cube([35,5,5]);
     
     //Top_Clips holes.
        translate([81,17,1.5]) cube([6,8,3]);
        translate([81,118-17-8,1.5]) cube([6,8,3]);
//////////////////////////////////////////////////////         
}

difference(){
    union(){
//Bottom_Arduino Mega mount..................................... 
       translate([7.3,18.2,2]) cylinder(h=3.5, r1=6, r2=3);  
       translate([56,16.7,2]) cylinder(h=3.5, r1=6, r2=3); 
       translate([7.3,93.6,2]) cylinder(h=3.5, r1=6, r2=3); 
       translate([56,101,2]) cylinder(h=3.5, r1=6, r2=3);  
////////////////////////////////////////////////////////////////       
//Top_Fan center.......................................... 
       translate([116.5,51,0]) cylinder(h=2.5, r=14, $fn=64); 
        
        translate([116.5,51,1.25]) rotate([0,0,45]) cube([57,4,2.5], center=true);
        translate([116.5,51,1.25]) rotate([0,0,-45]) cube([57,4,2.5], center=true);
//////////////////////////////////////////////////////////        
    }
//Bottom_Arduino Mega mount holes...........................
    translate([7.3,18.2,0]) cylinder(h=10, r=1.5);  
       translate([56,16.7,0]) cylinder(h=10, r=1.5); 
       translate([7.3,93.6,0]) cylinder(h=10, r=1.5); 
       translate([56,101,0]) cylinder(h=10, r=1.5); 
/////////////////////////////////////////////////////////    
}