$fn=100;

$vpt = [15, -72, 23];
$vpr = [69, 0, 209];
$vpd =450;

smart_lcd(0,0,0,1);

module smart_lcd(x,y,z,sk)
{
    translate([x,y,z])
    translate([-79.5,0,0])
    rotate(a=-90,v=[0,0,1])
    {
        //BOX
        color([0,0.8,0])
        {
            translate([3.5,0,-3.3-5])
            import("stl//printable//Bottom.stl");
            translate([66,0,43])
            rotate(a=153,v=[0,1,0])
            import("stl//printable//top.stl");
        }
        //CAP
        color([0.2,0.2,0.2])
        translate([33,17,26])
        rotate(a=-27,v=[0,1,0])
        import("stl//printable//potentiometer_cap.stl");

        //SK8 DOUBLE
        if(sk)
        {
            color([0.2,0.2,0.2])
            translate([70+15,79,40])
            import("stl//printable//sk8_double_y_low.stl");
        }
        //SK8 MOUNTS
        color([0,0.8,0])
        import("stl//printable//sk8_mounts.stl");


        color("blue")
        rotate(a=60,v=[0,1,0])
        translate([12+0,5,10])
        rotate(a=90,v=[0,0,1])
        import("stl//nonprintable//lcd.STL");
    }
}