$fn=100;

//idler_base_mount_y(0,0,0);


module rounded_square( width, radius_corner ) 
{
	translate( [ radius_corner, radius_corner, 0 ] )
    minkowski() 
    {
			square( width - 2 * radius_corner );
			circle( radius_corner );
	}
}

module idler_base_mount_y(x,y,z)
{
color([0,0.8,0])
    
translate([x,y,z])
difference()
{
    union()
    {
        translate([0,-21.5,3])
        cube([20,43,6]);

        translate([0,-33.5,3+6])
        cube([20,67,7]);
        
        translate([-3,0,11.5])
        rotate(a=90,v=[0,1,0])
        scale([1,1.925,1])
        {
            translate([-11.5,-20,-3])
            linear_extrude(height=6)
            rounded_square(23, 3);
            translate([-11.5,-3,-3])
            linear_extrude(height=6)
            rounded_square(23, 3);
        }   
        
       translate([-3,-20,3+6])
       cube([23,40,14]);
    }
    translate([7.1+3,-26.5,-10])
    cylinder(r=2,h=50);
    translate([7.1+3,26.5,-10])
    cylinder(r=2,h=50); 
    
     translate([7.1+3,-26.5,15])
    cylinder(r=4.1,h=35);
    translate([7.1+3,26.5,15])
    cylinder(r=4.1,h=35); 
    
    translate([-20,0,23-10+1])
    rotate(a=90,v=[0,1,0])
    cylinder(r=2.6,h=50);
    
    translate([-7,0,23-10+1])
    rotate(a=90,v=[0,1,0])
    cylinder(r=6.5,h=5);
    
    translate([15,-9,0])
    cube([15,18,23]);
   
}
}

