$fn=100;

bearing_lower_z(0,0,0);

module bearing_lower_z(x,y,z)
{
    //BASE upper
    translate([x,y,z])
    difference()
    {
        translate([0,-15,6.5])
        rotate(a=-90,v=[1,0,0])
        {
            difference()
            {
                union()
                {
                    translate([-6.5-21,-6.5,-3])
                    linear_extrude(height=15)
                    rounded_square(13,3);

                    translate([-6.5+21,-6.50,-3])
                    linear_extrude(height=30.5)
                    rounded_square(13,3);

                    translate([-20,-6.5,-3])
                    cube([40,13,15]);

                    translate([5,0,15])
                    rotate(a=90,v=[1,0,0])
                    translate([-12.5,-12.5,-6.5])
                    linear_extrude(height=13)
                    rounded_square(25,6);
                  
                    translate([-0,-6.5,-3])
                    cube([20,13,30.5]);
                }
                
                translate([5,4.5,15])
                rotate(a=90,v=[1,0,0])
                cylinder(r=11.15,h=20);
                
                translate([21,0,-4])
                cylinder(r=2,h=40);
                translate([-21,0,-4])
                cylinder(r=2,h=40); 
                           
                translate([21,0,6])
                cylinder(r=3.5,h=40);

                translate([-21,0,0])
                cylinder(r=3.5,h=40);
              
                  translate([-47.5,-7.5,3])
                 cube([40,15,15]);
            }

            translate([5,4.5,15])
            rotate(a=90,v=[1,0,0])
            cylinder(r=5,h=1);



        }

        
        
    }
    
}

module rounded_square( width, radius_corner ) 
{
	translate( [ radius_corner, radius_corner, 0 ] )
    minkowski() 
    {
			square( width - 2 * radius_corner );
			circle( radius_corner );
	}
}

