$fn=100;
rod_mount_lower(0,0,0);
module rod_mount_lower(x,y,z)
{
    //BASE upper

    translate([x,y,z])
    difference()
    {
        translate([0,-15,6.5])
        rotate(a=-90,v=[1,0,0])
        {
            difference()
            {
                union()
                {
                    translate([-6.5-21-10,-6.5,-3])
                    linear_extrude(height=30.5)
                    rounded_square(13,3);

                    
                    translate([-30,-6.5,-3])
                    cube([22,13,30.5]);
                    
                    translate([-26,-12.5,-3])
                    cube([18,25,13.8]);
                    
                    translate([-26,-20,-3])
                    linear_extrude(height=13.8)
                    rounded_square(18,4);
                    
                    translate([-26,+2,-3])
                    linear_extrude(height=13.8)
                    rounded_square(18,4);



                }
                

                
                translate([-40,-8,14.5])
                cube([20,15,1.5]);
                
                translate([-31,0,-4])
                cylinder(r=2.1,h=40); 
                
                translate([-31,0,24])
                cylinder(r=3.5,h=40); 
                
                translate([-31,0,-2])
                fhex(7,5);
                
                translate([-21,12,-4])
                cylinder(r=2,h=40); 
                
                translate([-21,12,6])
                cylinder(r=3.5,h=40);
                
                translate([-13,12,-4])
                cylinder(r=2,h=40); 
                
                translate([-13,12,6])
                cylinder(r=3.5,h=40);
                
                translate([-20,8.5,6])
                cube([7,7,40]);
                
                translate([-21,10,-4])
                cube([8,4,40]);
     

                translate([-21,-12,-4])
                cylinder(r=2,h=40); 
                
                translate([-21,-12,6])
                cylinder(r=3.5,h=40);
                
                translate([-13,-12,-4])
                cylinder(r=2,h=40); 
                
                translate([-13,-12,6])
                cylinder(r=3.5,h=40);
                
                translate([-20,-15.5,6])
                cube([7,7,40]);
                
                translate([-21,-14,-4])
                cube([8,4,40]);     
        
            }




        }


        
        translate([5-25,0,-1])
        cylinder(r=4.05,h=15);
        
        
    }
    
}

module rounded_square( width, radius_corner ) 
{
	translate( [ radius_corner, radius_corner, 0 ] )
    minkowski() 
    {
			square( width - 2 * radius_corner );
			circle( radius_corner );
	}
}

module fhex(wid,height){
hull(){
cube([wid/1.7,wid,height],center = true);
rotate([0,0,120])cube([wid/1.7,wid,height],center = true);
rotate([0,0,240])cube([wid/1.7,wid,height],center = true);
}
}